import { http } from '../request/request';

export const getInspectorCourseList = async (params: {userId: string | number}) => {
  return await http.get<any>('/inspectorParent/userInspectorCourseList', params);
}

export const getInspectorModeList = async () => {
  return await http.get<any>('/inspectorParent/inspectorModeList');
}

// 最近或最后一次课时督学师和同学信息
export const getInspectorTeacherStudentInfo = async (params: {orderId: string}) => {
  return await http.get<any>('/inspectorParent/inspectorTeacherStudentInfo', params);
}

// 督学订单列表
export const getInspectorOrderList = async (params: {userId: string | number}) => {
  return await http.get<any>('/inspectorParent/userInspectorOrderList', params);
}

// 查询督学计划
export const getInspectorPlan = async (params: {inspectorPlanId: string}) => {
  return await http.get<any>('/inspectorParent/inspectorPlanInfo', params);
}

// 督学计划报告
export const getInspectorPlanReport = async (params: {userId: string}) => {
  return await http.get<any>('/inspectorParent/userInspectorCourseReportList', params);
}

